Bug 1419352 - After upgrading from 4.0.6 to 4.1 the GUI dialog for moving the disks from one Storage to another is not rendered correctly (when multiple disks(>8) are selected for move.)
Summary: After upgrading from 4.0.6 to 4.1 the GUI dialog for moving the disks from on...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: future
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ovirt-4.1.1
: 4.1.1.3
Assignee: Tal Nisan
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-05 20:10 UTC by Arman
Modified: 2017-04-21 09:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:42:48 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+
rule-engine: exception+


Attachments (Terms of Use)
screenshot of bad GUI render. (92.46 KB, image/png)
2017-02-05 20:10 UTC, Arman
no flags Details
Shift column when disk name string too long (24.22 KB, image/png)
2017-02-13 07:54 UTC, lifeman
no flags Details
Before the fix (44.58 KB, image/png)
2017-03-01 14:50 UTC, Tal Nisan
no flags Details
After the fix (33.91 KB, image/png)
2017-03-01 14:51 UTC, Tal Nisan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 73369 0 master MERGED webadmin: Enable overflow setting in DisksAllocationView 2017-03-01 15:24:24 UTC
oVirt gerrit 73373 0 ovirt-engine-4.1 MERGED webadmin: Enable overflow setting in DisksAllocationView 2017-03-01 15:25:10 UTC
oVirt gerrit 73374 0 ovirt-engine-4.1.1.z MERGED webadmin: Enable overflow setting in DisksAllocationView 2017-03-01 15:26:01 UTC

Description Arman 2017-02-05 20:10:08 UTC
Created attachment 1247848 [details]
screenshot of bad GUI render.

Description of problem:


Version-Release number of selected component (if applicable):
Version 4.1.0.4-1.el7.centos


How reproducible:
After upgrading from 4.0.6 to 4.1 the GUI dialog for moving the disks from one Storage to another is not rendered correctly when multiple disks(>8) are selected for move.
please see the attachment:

Steps to Reproduce:
1. select more than 6 disks to move to another storage


Actual results:
Messed up GUI

Expected results:
Nice scrollable GUI:)

Comment 1 lifeman 2017-02-13 07:54:17 UTC
Created attachment 1249776 [details]
Shift column when disk name string too long

Comment 2 Tal Nisan 2017-03-01 14:50:43 UTC
Created attachment 1258692 [details]
Before the fix

Comment 3 Tal Nisan 2017-03-01 14:51:02 UTC
Created attachment 1258693 [details]
After the fix

Comment 4 Raz Tamir 2017-03-28 14:00:52 UTC
Verified on rhevm-4.1.1.6-0.1.el7


Note You need to log in before you can comment on or make changes to this bug.